Subject: Re: newsgroups

From: Andrej Borsenkow <[email-masked]>
Date: Mon, 2 Dec 1996 14:05:01 +0300 (MSK)

On Sun, 1 Dec 1996, Mark Crispin wrote:

> On 28 Nov 1996, Andrej Borsenkow wrote:
> > What about storing local copy of available newsgroups and update them if
> > neccessary (e.g. when requested group was not found)? I understand, that
> > it would be hard to do currently, as you have no idea which server is
> > accessed, but if you are moving to multiple servers support, it should be
> > easy.
> 
> It isn't as easy to fix as you think.  This problem is actually in the
> user interface (not my code) and has very little to do with the handling
> of .newsrc files or of multiple server support.  As I understand it,
> here's what's going on:
> 
> The user interface has a menu of newsgroups for subscribing, so it needs
> the full list for the menu.  However, this list is big, so keeping it
> around is difficult for 16-bit PC Pine.  Even UNIX Pine users would object
> to another 200+K of growth of Pine's memory use (we're trying to shrink
> it, really!).

Have I ever said about keeping them in memory? I just thought about
something like:
  if newsgroups-list-file not initialized
      init it from server
  if group not in newsgroups-list-file
       refresh it from server
       look in the file again
  sigh ...

Searching disk file will be faster as accessing server; if you have really
fast connection, disable caching of newsgroups.

>               Then there are those who complain "alt.blurdybloop.sarasoop
> just got created 5 minutes ago, but my Pine session that's been running
> for 2 months doesn't show it in the menu, what's wrong with you guys." 
> 

Well, it is the way most browsers work (I admit not being familiar with
pure newsreaders). Just add the command "Update news groups list"; also it
is possible to set some threshhold value to update list automatically
(let's say, once a month). And again, those, who don't like it, can always
disable cacheing.

greetings

-------------------------------------------------------------------------
Andrej Borsenkow 		Fax:   +7 (095) 252 01 05
SNI ITS Moscow			Tel:   +7 (095) 252 13 88

NERV:  borsenkow.msk		E-Mail: [email-masked]
-------------------------------------------------------------------------